Get WebSocket endpoint information
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://blackbox.dasha.ai/api/v1/ws/info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://blackbox.dasha.ai/api/v1/ws/info \
--header 'Authorization: Bearer <token>'import requests
url = "https://blackbox.dasha.ai/api/v1/ws/info"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"endpoints": [
{
"path": "<string>",
"description": "<string>",
"requiredParameters": [
"<string>"
],
"optionalParameters": [
"<string>"
],
"supportedMessageTypes": [
{
"timestamp": "2023-11-07T05:31:56Z",
"type": "event",
"name": "closed",
"data": {
"endpoint": "<string>",
"hangupMsgId": "<string>",
"startConnectionTimeISO": "<string>",
"endConnectionTimeISO": "<string>"
},
"channelId": "<string>"
}
]
}
],
"version": "<string>",
"status": "<string>"
}Get WebSocket endpoint information
Returns information about available WebSocket endpoints and their current status.
GET
/
api
/
v1
/
ws
/
info
Get WebSocket endpoint information
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://blackbox.dasha.ai/api/v1/ws/info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://blackbox.dasha.ai/api/v1/ws/info \
--header 'Authorization: Bearer <token>'import requests
url = "https://blackbox.dasha.ai/api/v1/ws/info"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"endpoints": [
{
"path": "<string>",
"description": "<string>",
"requiredParameters": [
"<string>"
],
"optionalParameters": [
"<string>"
],
"supportedMessageTypes": [
{
"timestamp": "2023-11-07T05:31:56Z",
"type": "event",
"name": "closed",
"data": {
"endpoint": "<string>",
"hangupMsgId": "<string>",
"startConnectionTimeISO": "<string>",
"endConnectionTimeISO": "<string>"
},
"channelId": "<string>"
}
]
}
],
"version": "<string>",
"status": "<string>"
}Was this page helpful?
⌘I